#sidebar {
  text-align: center;
  padding: 1rem 1rem;
  background-color: #1c71d8;
}

#sidebar h2 {
  text-align: left;
  margin-bottom: 0;
}

/* Hide the blurb on a small screen */
#blurb {
  display: none;
}

#sidebar-footer {
  display: none;
}

#sidebar-toggle {
  display: none;
}

#collapse *:first-child {
  margin-top: 1rem;
}

/* add the three horizontal bars icon for the toggle */
.navbar-toggler-icon {
  background-image: url("data:image/svg+xml,%3csvg viewBox='0 0 30 30' xmlns='http://www.w3.org/2000/svg'%3e%3cpath stroke='rgba(255, 255, 255, 1)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}

#page-content {
  padding: 2rem 1rem;
}

/* media enquiry for bigger screen */
@media (min-width: 60em) {
  #sidebar {
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    width: 20rem;
    text-align: left;
    transition: margin 0.3s ease-in-out, padding 0.3s ease-in-out;
  }

  #sidebar-toggle {
    display: inline-block;
    position: relative;
    top: 0;
    transition: top 0.3s ease-in-out;
    background-color: #1a5fb4;
    padding: 5px;
    border-radius: 6px;
  }

  /* add negative margin to sidebar to achieve the collapse */
  #sidebar.collapsed {
    margin-left: -15.5rem;
    padding-right: 0.5rem;
  }

  /* move the sidebar toggle up to the top left corner */
  #sidebar.collapsed #sidebar-toggle {
    top: -1rem;
  }

  /* also adjust margin of page content */
  #sidebar.collapsed ~ #page-content {
    margin-left: 6.5rem;
  }

  /* move all contents of navbar other than header (containing toggle) further
     off-screen */
  #sidebar.collapsed > *:not(:first-child) {
    margin-left: -6rem;
    margin-right: 6rem;
  }

  /* reveal the blurb on a large screen */
  #blurb {
    display: block;
  }

  #sidebar-footer {
    display: block;
  }

  /* Hide the toggle on a large screen */
  #navbar-toggle {
    display: none;
  }

  #collapse {
    display: block;
  }

  /* set margins of the main content so that it doesn't overlap the sidebar */
  #page-content {
    margin-left: 22rem;
    margin-right: 2rem;
    transition: margin-left 0.3s ease-in-out;
  }
}

/* Johnny's customisation */

@font-face {
  font-family: JetBrainsMono;
  src: url(JetBrainsMono-Regular.ttf);
}

.nav-pills .nav-link.active {
  background-color: #1a5fb4;
}

.logo {
  font-family: JetBrainsMono;
}

.sidebar-footer {
  position: absolute;
  bottom: 0;
}

.mode-title {
  text-align: center;
  margin-bottom: -13px;
  margin-top: 1rem;
  font-size: 1.7rem;
  font-style: italic;
}

.Select-value,
.Select-placeholder {
  background-color: #676767;
  color: white;
}

.VirtualizedSelectOption {
  background-color: #676767;
}

.VirtualizedSelectFocusedOption {
  background-color:#4a762d
}

.Select.has-value.Select--single > .Select-control .Select-value .Select-value-label, .Select.has-value.is-pseudo-focused.Select--single > .Select-control .Select-value .Select-value-label {
  color : white !important;
}

.dash-table-container .dash-spreadsheet-container .dash-spreadsheet-inner table {
  font-family: "Lato";
  --hover: #666666;
  line-height: 2rem;
}
.dash-table-container .dash-spreadsheet-container .dash-spreadsheet-inner input:not([type="radio"]):not([type="checkbox"]) {
  color: white !important;
}

.dash-table-container .dash-spreadsheet-container .dash-spreadsheet-inner input:not([type="radio"]):not([type="checkbox"]):hover {
  color: black !important;
}

.clinical-record input:valid,
textarea.form-control,
textarea.form-control:focus,
.form-select {
  background-color: #676767;
  color: white;
  font-size: 1rem;
}

.app-id-search input:valid,
textarea.form-control,
textarea.form-control:focus,
.form-control,
.form-select {
  color: white;
  background-color: grey;
  font-size: 1rem;
}

.form-control:disabled {
  background-color: #414141;
  color: #ffffff;
}

.form-control::placeholder {
  color: rgb(193, 193, 193);
  font-style: italic;
  opacity: 1;
}

.change-password input:valid,
textarea.form-control,
textarea.form-control:focus,
.form-select {
  background-color: #676767;
  color: white;
  font-size: 1rem;
}

.change-password {
  max-width: 25rem;
}

.submit button {
  background-color: #1a5fb4 !important;
  border-color: #1a5fb4 !important;
  width: 8rem;
  font-size: 1rem;
}

.alert-success {
  background-color: #1a5fb4;
}

.alert {
  padding: 0.5rem 1rem;
  text-align: center;
}

.log-view {
  border-right: 2px solid;
}

.js-plotly-plot {
  box-shadow: 0 .5rem 1rem rgba(0,0,0,.15)!important;
}

.table>:not(caption)>*>* {
  padding: 0.3rem 0.5rem;
}

.login {
  background-color: #4A762D;
  height: auto;
  margin: 1rem;
  border-radius: 15px;
}

.login col-md-5 {
  width: 60%;
}

.login-logo {
  width: 280px;
  margin-top: 1rem;
}

.login-field {
  margin-right: auto;
  margin-left: auto;
  margin-bottom: 1rem;
  width: 60%;
  border: 0;
  background-color: #a5c088;
}

.login-field::placeholder {
  color: white
}

.login-button, .login-button:hover {
  width: 60%;
  background-color: #33511f;
  border: 0
}

.login-button:focus {
  background-color: #65a23d;
  box-shadow: 0 0 7px 0.25rem #58853b;
}

.logout {
  margin-top: 1rem;
  background-color: #333;
  border: 0;
}

.logout:active {
  background-color: #1a5fb4 !important;
}

.logout:focus {
  box-shadow: 0 0 7px 0.25rem #1a5fb4;
  background-color: #1a5fb4;
}

.logout:hover {
  background-color: #1a5fb4;
}

.voice-button {
  width: 100%;
  font-size: 2rem;
  background-color: #4a762d !important;
  border-color: #4a762d !important;
}

.spinner-border {
  color: #1a5fb4;
  height: 3rem;
  width: 3rem;
  border: 0.45em solid currentColor;
  border-right-color: transparent;
}

.create-success {
  text-align: center;
  font-weight: bold;
  color: #7cc54b;
}

.create-fail {
  text-align: center;
  font-weight: bold;
  color: red;
}

a {
  color: #1a5fb4;
}

a:hover {
  color: white
}

.markdown {
  margin-top: 2rem;
}

.assessment-form {
  margin-top: 1rem;
}

.assessment-form .row {
  margin-top: 1rem;
  width: 90%;
  max-width: 50rem;
  margin-right: auto;
  margin-left: auto;
}

.form-check-input:checked {
  background-color: #1c71d8;
  border-color: #1c71d8;
}

input[type=radio] ~ label.form-check-label {
  padding-left: 2rem;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
  padding-right: 0.5rem;
  background: #4f7a32;
  margin-top: 3px;
  color: white;
  width: 100%;
  border-radius: 0.6rem;
  margin-left: -0.6rem;
  cursor: pointer;
}

input[type=radio]:hover ~ label.form-check-label,
label.form-check-label:hover {
  background-color: #1c71d8;
}

input[type=radio]:checked ~ label.form-check-label {
  background-color: #e3ffd0;
  color: black;
  font-weight: bold;
}

.form-check-input[type=radio] {
  border-radius: 50%;
  margin-right: -1.5rem;
  margin-left: 0rem;
  margin-top: 1rem;
  transform: scale(1.1);
  position: relative;
}

.form-check-input:checked[type=radio] {
  background-image: none;
  background: #4a762d;
  transform: scale(1.2);
  border: 0.2rem solid white;
}

.form-switch {
  padding-left: 4.5em;
  cursor: pointer;
}

.form-switch .form-check-input {
  transform: scale(1.5);
  cursor: pointer;
}

.form-switch .form-check-input ~ label {
  margin-left: 1rem;
  cursor: pointer;
}

.modal-footer a{
  background-color: #1a5fb4 !important;
  border-color: #1a5fb4 !important;
  width: 8rem;
  font-size: 1rem;
}

.modal-footer {
  border-top: none;
}

.modal-footer .btn-primary{
  background-color: #1a5fb4 !important;
  border-color: #1a5fb4 !important;
}

.Select div {
  background: grey;
}

.table-button {
  background-color: #4a762d !important;
  border-color: #4a762d !important;
}

.process-table {
  vertical-align: middle;
}

.log-content {
  height: 55vh;
  background: black;
  font-family: JetBrainsMono;
  padding: 0.5rem;
  font-size: 1rem;
}

.dropdown-toggle {
  margin-top: 0 !important;
}

.nav-pills .show>.nav-link {
  background: #1a5fb4;
}

.dropdown-item.active {
  background: none;
}

.dropdown-item.active:hover {
  background: #1a5fb4;
}

.dropdown-menu {
  background-color: #2c2c2c;
}

#collapse *:first-child {
  margin-top: 0;
}

.report button.btn-primary {
  background-color: #4a762d !important;
  border-color: #4a762d !important;
  font-size: 1rem;
}

.report button.accordion-button:not(.collapsed) {
  background-color: #cfe3c2;
}

.report button.accordion-button {
  font-weight: bold;
}

.alert {
  text-align: start;
  color: black
}

.alert li {
  margin-left: 1rem;
}

.guidance {
  font-style: italic;
  color:#bababa;
  margin-bottom:5px;
}

.form-label {
  font-weight: bold;
}